import * as PropTypes from 'prop-types';
import * as React from 'react';
export declare type OnInjected = (error: Error | null, svg: SVGSVGElement | undefined) => void;
interface Props {
    evalScripts?: 'always' | 'once' | 'never';
    fallback?: React.ReactType;
    loading?: React.ReactType;
    onInjected?: OnInjected;
    renumerateIRIElements?: boolean;
    src: string;
    svgClassName?: string;
    svgStyle?: React.CSSProperties;
    wrapper?: 'div' | 'span';
}
interface State {
    hasError: boolean;
    isLoading: boolean;
}
export default class ReactSVG extends React.Component<Props & React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement | HTMLDivElement>, HTMLSpanElement | HTMLDivElement>, State> {
    static defaultProps: {
        evalScripts: string;
        fallback: null;
        loading: null;
        onInjected: () => undefined;
        renumerateIRIElements: boolean;
        svgClassName: null;
        svgStyle: {};
        wrapper: string;
    };
    static propTypes: {
        evalScripts: PropTypes.Requireable<string>;
        fallback: PropTypes.Requireable<string | object>;
        loading: PropTypes.Requireable<string | object>;
        onInjected: PropTypes.Requireable<(...args: any[]) => any>;
        renumerateIRIElements: PropTypes.Requireable<boolean>;
        src: PropTypes.Validator<string>;
        svgClassName: PropTypes.Requireable<string>;
        svgStyle: PropTypes.Requireable<object>;
        wrapper: PropTypes.Requireable<string>;
    };
    initialState: {
        hasError: boolean;
        isLoading: boolean;
    };
    state: {
        hasError: boolean;
        isLoading: boolean;
    };
    _isMounted: boolean;
    container?: HTMLSpanElement | HTMLDivElement | null;
    svgWrapper?: HTMLSpanElement | HTMLDivElement | null;
    refCallback: React.Ref<HTMLSpanElement | HTMLDivElement>;
    renderSVG(): void;
    removeSVG(): void;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
